GamebeastDocs
Dashboard
Organization APIAudit log

Get an audit event

GET
/organization/{organizationId}/audit-log/events/{eventId}

One event with its full before and after snapshots. 404 outside the retention window.

Authorization

personalAccessTokenAuth
AuthorizationBearer <token>

Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

organizationId*integer
Range0 < value <= 9007199254740991
eventId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/organization/1/audit-log/events/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "event": {    "id": "string",    "occurredAt": "string",    "organizationId": -9007199254740991,    "projectId": -9007199254740991,    "environmentId": -9007199254740991,    "actor": {      "type": "user",      "userId": "string",      "apiKeyId": -9007199254740991,      "displayName": "string",      "email": "string"    },    "via": {      "clientName": "string",      "oauthClientId": "string",      "grantId": "string",      "patId": -9007199254740991,      "toolName": "string",      "toolCallId": "string",      "conversationId": "string",      "turnId": "string",      "model": "string",      "reason": "string",      "approvedByUserId": "string",      "approvedAt": "string",      "supportReason": "string"    },    "action": "configuration.created",    "feature": "configurations",    "outcome": "success",    "errorCode": "string",    "resource": {      "type": "configuration",      "id": "string",      "name": "string"    },    "relatedResources": [      {        "type": "configuration",        "id": "string",        "name": "string"      }    ],    "changes": [      {        "path": "string",        "op": "add",        "before": null,        "after": null      }    ],    "changeCount": -9007199254740991,    "summary": "string",    "truncated": true,    "surface": "dashboard",    "requestId": "string",    "causedByEventId": "string",    "ip": "string",    "userAgent": "string",    "metadata": {      "property1": null,      "property2": null    }  }}